Множественные уязвимости в Drupal EveryBlog

Дата публикации:
10.10.2008
Всего просмотров:
2217
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-6134
CVE-2008-6135
CVE-2008-6136
CVE-2008-6137
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Повышение привилегий
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
EveryBlog 5.x (модуль к Drupal)
EveryBlog 6.x (модуль к Drupal)
Уязвимые версии: EveryBlog (модуль к Drupal) версии 5.x и 6.x

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, обойти некоторые ограничения безопасности, выполнить произвольные SQL команды и повысить свои привилегии.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточного ограничения доступа к некоторому функционалу.

3. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

4. Уязвимость существует из-за неизвестной ошибки, которая позволяет удаленному пользователю войти в приложение с привилегиями произвольной учетной записи (включая учетную запись администратора приложения).

URL производителя: drupal.org/project/everyblog

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://drupal.org/node/318746

или введите имя

CAPTCHA